Loading...
Searching...
No Matches
AVHDRVivid3SplineParams Struct Reference

HDR Vivid three spline params. More...

`#include <libavutil/hdr_dynamic_vivid_metadata.h>`

## Data Fields

int | th_mode
| The mode of three Spline.
AVRational | th_enable_mb
| three_Spline_TH_enable_MB is in the range of 0.0 to 1.0, inclusive and in multiples of 1.0/255.
AVRational | th_enable
| 3Spline_TH_enable of three Spline.
AVRational | th_delta1
| 3Spline_TH_Delta1 of three Spline.
AVRational | th_delta2
| 3Spline_TH_Delta2 of three Spline.
AVRational | enable_strength
| 3Spline_enable_Strength of three Spline.

## Detailed Description

HDR Vivid three spline params.

Definition at line 30 of file hdr_dynamic_vivid_metadata.h.

## Field Documentation

## th_mode

int AVHDRVivid3SplineParams::th_mode

The mode of three Spline.

the value shall be in the range of 0 to 3, inclusive.

Definition at line 35 of file hdr_dynamic_vivid_metadata.h.

## th_enable_mb

AVRational AVHDRVivid3SplineParams::th_enable_mb

three_Spline_TH_enable_MB is in the range of 0.0 to 1.0, inclusive and in multiples of 1.0/255.

Definition at line 42 of file hdr_dynamic_vivid_metadata.h.

## th_enable

AVRational AVHDRVivid3SplineParams::th_enable

3Spline_TH_enable of three Spline.

The value shall be in the range of 0.0 to 1.0, inclusive. and in multiples of 1.0/4095.

Definition at line 49 of file hdr_dynamic_vivid_metadata.h.

## th_delta1

AVRational AVHDRVivid3SplineParams::th_delta1

3Spline_TH_Delta1 of three Spline.

The value shall be in the range of 0.0 to 0.25, inclusive, and in multiples of 0.25/1023.

Definition at line 56 of file hdr_dynamic_vivid_metadata.h.

## th_delta2

AVRational AVHDRVivid3SplineParams::th_delta2

3Spline_TH_Delta2 of three Spline.

The value shall be in the range of 0.0 to 0.25, inclusive, and in multiples of 0.25/1023.

Definition at line 63 of file hdr_dynamic_vivid_metadata.h.

## enable_strength

AVRational AVHDRVivid3SplineParams::enable_strength

3Spline_enable_Strength of three Spline.

The value shall be in the range of 0.0 to 1.0, inclusive, and in multiples of 1.0/255.

Definition at line 70 of file hdr_dynamic_vivid_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_vivid_metadata.h